#version 440 core
layout(location = 0) in vec3 attr_vertex;

// Model matrix (passed per object)
uniform mat4 M_mat;

void main(void) {
	
	// Transform vertex to world space
	gl_Position = M_mat * vec4(attr_vertex, 1.0);
	
	// In the Geometry Shader the value of gl_Position can be accessed via:
	// gl_in[triangle_vertex_idx].gl_Position;
}